# Potree Converter

Builds a potree octree from las, laz, binary ply, xyz or ptx files.

see: https://github.com/potree/PotreeConverter

Options:


```
-h [ --help ]                         prints usage
-p [ --generate-page ]                Generates a ready to use web page alongwith the model.
-o [ --outdir ] arg                   output directory
-s [ --spacing ] arg                  Distance between points at root level. Distance halves each level.
-d [ --spacing-by-diagonal-fraction ] arg Maximum number of points on the diagonal in the first level (sets spacing). spacing = diagonal / value
-l [ --levels ] arg                   Number of levels that will be generated. 0: only root, 1: root and its children, ...
-f [ --input-format ] arg             Input format. xyz: cartesian coordinates as floats, rgb: colors as numbers, i: intensity as number
--color-range arg
--intensity-range arg
--output-format arg                   Output format can be BINARY, LAS or
                                      LAZ. Default is BINARY
-a [ --output-attributes ] arg        Can be any combination of RGB, INTENSITY and CLASSIFICATION. Default is RGB.
--scale arg                           Scale of the X, Y, Z coordinate in LAS and LAZ files.
--source arg                          Source file. Can be LAS, LAZ, PTX or
```

Examples:

    # convert data.las and generate web page.
    ./PotreeConverter.exe C:/data.las -o C:/potree_converted -p

    # convert with an octree depth of 5 (-l); generate web page (-p); write RGB, INTENSITY and CLASSIFICATION attributes (-a)
    ./PotreeConverter.exe data.las -o C:/potree_converted -p -l 5 -a RGB INTENSITY CLASSIFICATION

    # generate compressed LAZ files instead of the default BIN format.
    ./PotreeConverter.exe C:/data.las -l 4 -o C:/potree_converted --output-format LAZ

    # convert data1.las and data2.las with a spacing of 0.5 and a depth of 4
    ./PotreeConverter.exe C:/data1.las C:/data1.las C:/data2.las -s 0.5 -l 4 -o C:/potree_converted

    # convert all files inside the data directory
    ./PotreeConverter.exe C:/data -s 0.5 -l 4 -o C:/potree_converted
